API Referenceapipatient-graphPOST /v1/researcher-acknowledgements

POST /v1/researcher-acknowledgements

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "full_name": {
      "type": "string",
      "minLength": 2
    },
    "ip_address": {
      "type": "string",
      "minLength": 1
    },
    "source": {
      "type": "string",
      "minLength": 1
    },
    "statement_version": {
      "type": "string",
      "minLength": 1,
      "default": "ruo-researcher-v1"
    }
  },
  "required": [
    "full_name",
    "ip_address",
    "source"
  ]
}

Responses

200 Researcher acknowledgement stored

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "patient_id": {
      "type": "string"
    },
    "full_name": {
      "type": "string"
    },
    "ip_address": {
      "type": "string"
    },
    "source": {
      "type": "string"
    },
    "statement_version": {
      "type": "string"
    },
    "acknowledged_at": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "patient_id",
    "full_name",
    "ip_address",
    "source",
    "statement_version",
    "acknowledged_at",
    "created_at",
    "updated_at"
  ]
}

404 Patient not found for the authenticated user

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://patient-graph.platform.loop.health/v1/researcher-acknowledgements \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'